Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface ProducerType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ProducerTypeImpl

    public interface ProducerType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `producerType` xsd type

Original Documentation:

The producer element holds all of the information specific about a
producer interface for a consumer bean Used in: consumer

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getClazz()` Returns the `class` element
`java.lang.String` | `getConnectionFactory()` Returns the `connection-factory` element
`ProducerType<T>` | `removeClazz()` Removes the `class` element
`ProducerType<T>` | `removeConnectionFactory()` Removes the `connection-factory` element
`ProducerType<T>` | `setClazz(java.lang.String clazz)` If not already created, a new `class` element with the given value will be created.
`ProducerType<T>` | `setConnectionFactory(java.lang.String connectionFactory)` If not already created, a new `connection-factory` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setClazz

    ProducerType<T> setClazz(java.lang.String clazz)

  If not already created, a new `class` element with the given value will be created. Otherwise, the existing `class` element will be updated with the given value.

  Returns:
    the current instance of `ProducerType`

### removeClazz

    ProducerType<T> removeClazz()

  Removes the `class` element

  Returns:
    the current instance of `ProducerType`

### getClazz

    java.lang.String getClazz()

  Returns the `class` element

  Returns:
    the node defined for the element `class`

### setConnectionFactory

    ProducerType<T> setConnectionFactory(java.lang.String connectionFactory)

  If not already created, a new `connection-factory` element with the given value will be created. Otherwise, the existing `connection-factory` element will be updated with the given value.

  Returns:
    the current instance of `ProducerType`

### removeConnectionFactory

    ProducerType<T> removeConnectionFactory()

  Removes the `connection-factory` element

  Returns:
    the current instance of `ProducerType`

### getConnectionFactory

    java.lang.String getConnectionFactory()

  Returns the `connection-factory` element

  Returns:
    the node defined for the element `connection-factory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD